## apt 2.1.16

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build documentation." ON)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
# apt-ftparchive dependencies
find_package(Berkeley REQUIRED)
if (BERKELEY_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS REQUIRED)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(ZSTD)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(SECCOMP)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(GCRYPT REQUIRED)
find_package(XXHASH REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Check multiversioning
include(CheckCxxTarget)
check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0,i)|__builtin_ia32_crc32hi(0,i)|__builtin_ia32_crc32qi(0,i)")
check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0,i)")

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "2.1.16")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)

# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (2.1.16) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Various fixes to http and connect method
    - basehttp: also consider Access when a Server's URI
    - connect: convert a C-style string to std::string
    - connect: use ServiceNameOrPort, not Port, as the cache key

  [ Julian Andres Klode ]
  * patterns: Add dependency patterns ?depends, ?conflicts, etc.
    Note that the -broken- variants are not implemented yet.
  * Rewrite of the kernel autoremoval code:
    - Determine autoremovable kernels at run-time (LP: #1615381), this fixes the
      issue where apt could consider a running kernel autoremovable
    - Automatically remove unused kernels on apt {full,dist}-upgrade.
      This helps ensuring that we don't run out of /boot space.
    - Only keep up to 3 (not 4) kernels.
      Ubuntu boot partitions were sized for 3 kernels, not 4.
  * Bump codenames to bullseye/hirsute and adjust -security codename for
    bullseye (Closes: #969932)
  * Ignore failures from immediate configuration. This does not change the
    actual installation ordering - we never passed the return code to the
    caller and installation went underway anyway if it could be ordered at a
    later stage, this just removes spurious after-the-fact errors.
    (Closes: #973305, #188161, #211075, #649588) (LP: #1871268)
  * Add support for Phased-Update-Percentage, previously used only by
    update-manager.
  * Implement update --error-on=any so that scripts can reliably check for
    transient failures as well. (Closes: #594813)

  [ Demi M. Obenour ]
  * test/integration/framework: Be compatible with Bash

  [ Vangelis Skarmoutsos ]
  * Greek program translation update

 -- Julian Andres Klode <jak@debian.org>  Fri, 08 Jan 2021 21:49:15 +0100

## apt 2.1.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.16")
+set(PACKAGE_VERSION "2.1.17")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.17) unstable; urgency=medium

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #979725)

  [ Julian Andres Klode ]
  * kernels: Fix std::out_of_range if no kernels to protect
  * Call ischroot with -t

 -- Julian Andres Klode <jak@debian.org>  Mon, 11 Jan 2021 12:10:32 +0100

## apt 2.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.17")
+set(PACKAGE_VERSION "2.1.18")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.18) unstable; urgency=high

  * pkgcachegen: Avoid write to old cache for Version::Extra (Closes: #980037)
  * Adjust apt-mark test for dpkg 1.20.7

 -- Julian Andres Klode <jak@debian.org>  Wed, 13 Jan 2021 17:37:30 +0100

## apt 2.1.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -197,15 +197,10 @@
     set(RESOLV_LIBRARIES -lresolv)
 endif()
 
-# Check multiversioning
-include(CheckCxxTarget)
-check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0,i)|__builtin_ia32_crc32hi(0,i)|__builtin_ia32_crc32qi(0,i)")
-check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0,i)")
-
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.18")
+set(PACKAGE_VERSION "2.1.20")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.1.20) unstable; urgency=medium

  * CI: Run test as user on i386
  * Fix test suite regression from StrToNum fixes. The tests started failing
    on 32-bit because the values were actually out of range, but we did not
    test errno before the last version, so it was not treated as an error.

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Feb 2021 00:03:05 +0100

apt (2.1.19) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #979848)

  [ Youfu Zhang ]
  * dpkg: fix passing readonly /dev/null fd as stdout/stderr

  [ Diederik de Haas ]
  * Fix apt-acquire-additional-files entity's location.

  [ Wolfgang Schweer ]
  * vendor: Adjust Debian -security codename

  [ Julian Andres Klode ]
  * Include all translations when building the cache (LP: #1907850)

  [ David Kalnischkies ]
  * Various patches uplifted from unfinished fuzzer branches
    - Use 500 MB memory limit for xz/lzma decoding
    - Guess compressor only if no AR nember with exact name exists
    - Free XXH3 state to avoid leak in cache hashing
    - Fail ConfigDir reading if directory listing failed
    - Retire and deprecate _strtabexpand
    - Fix incorrect base64 encoding due to int promotion
    - Don't parse \x and \0 past the end in DeEscapeString
    - Remove Word size limit from ParseQuote and CWord
    - Forbid negative values in unsigned StrToNum explicitly
    - Avoid overstepping bounds in config file parsing
    - Show 'Done' always for 'Building dependency tree'
    - Avoid undefined pointer arithmetic while growing mmap
    - Use error reporting instead of assert in rred patching
    - Replace PrintStatus with SendMessage usage
    - Ensure HTTP status code text has sensible content
    - Limit on first patch size only for server-merged patches
    - Use size of the old cache as APT::Cache-Start default
    - Remove spurious periods on progress strings in po/de.po

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #981885)
  * Dutch manpages translation update (Closes: #981883)

 -- Julian Andres Klode <jak@debian.org>  Tue, 09 Feb 2021 10:41:53 +0100

## apt 2.2

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 2.2
Date: 2010-11-03 (first); 2014-8-10 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 3.0.0), erer, gWidgets
Imports: car, urca, copula
Suggests: RGtk2, gWidgetsRGtk2, cairoDevice
Description: This package focuses on asymmetric price transmission (APT) between two time series. It contains functions for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model. A graphical user interface is also included for major functions included in the package, so users can also use these functions in a more intuitive way.
License: GPL
LazyLoad: yes
Packaged: 2014-08-11 16:29:31 UTC; csun
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-08-11 18:52:07

## apt 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.1.20")
+set(PACKAGE_VERSION "2.2.0")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.0) unstable; urgency=medium

  * The "Happy soft freeze" release
  * Do not make DefaultRootSetFunc2 public symbol
  * kernels: Avoid std::regex for escaping '.' and '+'
  * symbols: Remove spurios package line, add kernel autoremoval helper

 -- Julian Andres Klode <jak@debian.org>  Thu, 18 Feb 2021 20:35:09 +0100

## apt 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.0")
+set(PACKAGE_VERSION "2.2.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not require force-loopbreak on Protected packages (Closes: #983014)
  * Branch of as 2.2.y for bullseye
  * configuration: Add missing #include <array>
  * Remove .travis.yml, we are using GitLab CI these days
  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * regression fix: do require force-loopbreak for Conflicts

  [ Алексей Шилин ]
  * Russian translation update (Closes: #983348)

 -- Julian Andres Klode <jak@debian.org>  Mon, 01 Mar 2021 22:27:55 +0100

## apt 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.1")
+set(PACKAGE_VERSION "2.2.2")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.2) unstable; urgency=medium

  [ David Kalnischkies ]
  * Deal with rred shortcomings around empty patch files (LP: #1918112)
    - Allow merging with empty pdiff patches
    - Rename pdiff merge patches only after they are all downloaded
    - Start pdiff patching from the last possible starting point
    - Ensure all index files sent custom tags to the methods
  * Harden test for no new acquires after transaction abort (Closes: #984966)

  [ Julian Andres Klode ]
  * Make ADDARG{,C}() macros expand to single statements

 -- Julian Andres Klode <jak@debian.org>  Fri, 12 Mar 2021 09:15:59 +0100

## apt 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.2")
+set(PACKAGE_VERSION "2.2.3")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.3) unstable; urgency=medium

  * tests: Check for and discard expected warning from MaybeAddAuth. For some
    reason, this was only noticed with LTO enabled, but should be a general
    issue.
  * Fix downloads of unsized files that are largest in pipeline (LP: #1921626)
  * Warn on packages without a Size field. Such repositories are broken and
    need to be fixed, as we do not test apt against them, see the bug above
    for more details. Set Acquire::AllowUnsizedPackages to disable the
    warning.

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Apr 2021 17:53:32 +0200

## apt 2.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.3")
+set(PACKAGE_VERSION "2.2.4")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== test/interactive-helper/CMakeLists.txt ===
add_executable(mthdcat mthdcat.cc)
target_link_libraries(mthdcat apt-pkg)
add_executable(testdeb testdeb.cc)
target_link_libraries(testdeb apt-pkg)
add_executable(extract-control extract-control.cc)
target_link_libraries(extract-control apt-pkg)
add_executable(aptwebserver aptwebserver.cc)
target_link_libraries(aptwebserver apt-pkg  ${CMAKE_THREAD_LIBS_INIT})
add_executable(aptdropprivs aptdropprivs.cc)
target_link_libraries(aptdropprivs apt-pkg)
add_executable(test_fileutl test_fileutl.cc)
target_link_libraries(test_fileutl apt-pkg)
add_executable(createdeb-cve-2020-27350 createdeb-cve-2020-27350.cc)


add_library(noprofile SHARED libnoprofile.c)
target_link_libraries(noprofile ${CMAKE_DL_LIBS})

=== debian/changelog ===
apt (2.2.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Various bugfixes to the JSON hooks:
    - encoder fixes:
      + json: Escape strings using \u escape sequences, add test
      + json: Actually pop states
      + json: Encode NULL strings as null
    - json: Flush standard file descriptors before calling hooks
      (this avoids output from hooks in middle of apt output)
    - Non-installed JSON changes:
      + test/json: Make the test hook more reliable
      + Fix a typo in json-hooks-protocol.md (thanks to Brian Murray)
  * Avoid infinite loop on EOF on media change prompt (LP: #1928687)
  * Turn TLS handshake issues into transient errors (LP: #1928100),
    this makes behavior consistent with TCP and enables Acquire::Retries
  * policy: Apply phasing to uninstalled packages too (LP: #1925745),
    this prevents inconsistencies when installing new binaries that depend
    on the same version of an already installed binary.

  [ David Kalnischkies ]
  * URI encode Filename field of Packages files (again). This fixes a
    regression introduced in 2.1.15 that causes download failures of
    packages with an epoch included in their filename.

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Jun 2021 10:53:34 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               libgcrypt20-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2),
               triehash,
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz, w3m
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         libapt-pkg6.0 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg6.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

## apt 2.2.4A~5.1.0.202311180928

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 include(CheckStructHasMember)
 include(GNUInstallDirs)
 include(TestBigEndian)
-find_package(Threads REQUIRED)
+find_package(Threads)
 find_package(LFS REQUIRED)
 find_package(Iconv REQUIRED)
 
@@ -164,6 +164,10 @@
 # FreeBSD
 add_definitions(-D_WITH_GETLINE=1)
 
+if (CMAKE_USE_PTHREADS_INIT)
+  set(HAVE_PTHREAD 1)
+endif()
+
 CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
 CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
 CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)

=== debian/changelog ===
apt (2.2.4A~5.1.0.202311180928) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    10_ignore_debian.patch
    11-silence-warning.patch
    13-use-ucs-keyring.patch
    20-Bug-51313-revert-thread_local-usage.patch

 -- Univention builddaemon <buildd@univention.de>  Sat, 18 Nov 2023 09:28:06 -0000

## apt 2.2.4ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 include(CheckStructHasMember)
 include(GNUInstallDirs)
 include(TestBigEndian)
-find_package(Threads)
+find_package(Threads REQUIRED)
 find_package(LFS REQUIRED)
 find_package(Iconv REQUIRED)
 
@@ -164,10 +164,6 @@
 # FreeBSD
 add_definitions(-D_WITH_GETLINE=1)
 
-if (CMAKE_USE_PTHREADS_INIT)
-  set(HAVE_PTHREAD 1)
-endif()
-
 CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
 CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
 CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
@@ -204,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.4")
+set(PACKAGE_VERSION "2.2.4ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.4ubuntu0.1) hirsute; urgency=medium

  * Merge 2.2.4 from Debian unstable
  * Extend the JSON hook fixes with support for version 0.2 (LP: #1926150)
    - json: Add origins fields to version
    - upgrade: Add JSON hook support (AptCli::Hooks::Upgrade)
    - json: Add `package-list` and `statistics` install hooks
    - json: Hook protocol 0.2 (added upgrade,downgrade,reinstall modes)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Jun 2021 16:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>

## apt 2.2.4+devuan1

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.4ubuntu0.1")
+set(PACKAGE_VERSION "2.2.4+devuan1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.2.4+devuan1) unstable; urgency=medium

  * Merge upstream 2.2.4

 -- Andreas Messer <andi@bastelmap.de>  Mon, 21 Jun 2021 15:14:12 +0200

apt (2.2.3+devuan1) unstable; urgency=medium

  * Merge upstream 2.2.3

 -- Andreas Messer <andi@bastelmap.de>  Sun, 30 May 2021 10:20:55 +0200

apt (2.2.2+devuan1) unstable; urgency=medium

  * Merge upstream version 2.2.2

 -- Andreas Messer <andi@bastelmap.de>  Fri, 19 Mar 2021 18:46:07 +0100

apt (2.2.1+devuan1) unstable; urgency=medium

  * Merge upstream version 2.2.1

 -- Andreas Messer <andi@bastelmap.de>  Wed, 17 Mar 2021 19:53:58 +0100

apt (2.1.18+devuan1) unstable; urgency=medium

  * Merge 2.1.18 upstream release 

 -- Andreas Messer <andi@bastelmap.de>  Sun, 24 Jan 2021 09:51:27 +0100

apt (2.1.11+devuan1) unstable; urgency=medium

  * Merge 2.1.11 upstream release

 -- Andreas Messer <andi@bastelmap.de>  Thu, 19 Nov 2020 15:53:45 +0100

apt (2.1.10+devuan1) unstable; urgency=medium

  * Merge 2.1.10 upstream release

 -- Andreas Messer <andi@bastelmap.de>  Fri, 14 Aug 2020 13:36:10 +0200

apt (2.1.7+devuan1) unstable; urgency=medium

  * Merge 2.1.7 upstream release

 -- Andreas Messer <andi@bastelmap.de>  Mon, 20 Jul 2020 20:52:40 +0200

apt (2.1.6+devuan1) unstable; urgency=medium

  * Merge 2.1.6 upstream release 
  * Adjust vcs fields to new url

 -- Andreas Messer <andi@bastelmap.de>  Tue, 23 Jun 2020 21:16:29 +0200

apt (2.1.2+devuan1) unstable; urgency=critical

  * Merge 2.1.2 upstream release 

 -- Andreas Messer <andi@bastelmap.de>  Mon, 18 May 2020 09:21:51 +0200

apt (2.0.2+devuan1) unstable; urgency=medium

  * Merge latest upstream release 
  * Update version information

 -- Andreas Messer <andi@bastelmap.de>  Sun, 03 May 2020 17:19:40 +0200

apt (2.0.1+devuan1) unstable; urgency=medium

  * Prepare for systemd removal
  * Remove systemd dependencies
  * Introduce and remove again cron script
  * Adjust Vcs and Origin in debian/control
  * Disable gbp post-build hook

 -- Andreas Messer <andi@bastelmap.de>  Thu, 02 Apr 2020 18:59:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>,
-           Julian Andres Klode <jak@debian.org>,
-           David Kalnischkies <donkult@debian.org>
+Maintainer: Andreas Messer <andi@bastelmap.de>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: cmake (>= 3.4),
@@ -22,7 +18,6 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -33,8 +28,9 @@
                xsltproc,
                zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, w3m
-Vcs-Git: https://salsa.debian.org/apt-team/apt.git
-Vcs-Browser: https://salsa.debian.org/apt-team/apt
+Vcs-Git: https://git.devuan.org/devuan/apt.git
+Vcs-Browser: https://git.devuan.org/devuan/apt
+Origin: Devuan
 
 Package: apt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove
	install -m 755 debian/apt.auto-removal.sh debian/apt/etc/kernel/postinst.d/apt-auto-removal

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_installsystemd:
	# entirely disable systemd rules

override_dh_installsystemd_disabled_:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_installsystemd -papt apt-daily.timer apt-daily-upgrade.timer
	dh_installsystemd -papt --no-restart-on-upgrade --no-restart-after-upgrade --no-start apt-daily.service apt-daily-upgrade.service
	dh_installsystemd --remaining-packages

override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
override_dh_auto_configure-indep: flags=-DWITH_DOC=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(flags) $(configure_test_flags)

## apt 2.2.4.0nosystemd1

=== debian/changelog ===
apt (2.2.4.0nosystemd1) nosystemd; urgency=medium

  * remove libsystemd0, libelogind0 hard dependency 

 -- anticapitalista <antix@operamail.com>  Tue, 09 Nov 2021 14:30:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Andreas Messer <andi@bastelmap.de>
+Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>,
+           Julian Andres Klode <jak@debian.org>,
+           David Kalnischkies <donkult@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: cmake (>= 3.4),
@@ -28,9 +31,8 @@
                xsltproc,
                zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, w3m
-Vcs-Git: https://git.devuan.org/devuan/apt.git
-Vcs-Browser: https://git.devuan.org/devuan/apt
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/apt-team/apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/apt
 
 Package: apt
 Architecture: any

## apt 2.3

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 2.3
Date: 2010-11-03 (first); 2014-11-28 (last)
Author: Changyou Sun <cs258@msstate.edu>
Maintainer: Changyou Sun <cs258@msstate.edu>
Depends: R (>= 3.0.0), erer, gWidgets
Imports: car, urca, copula
Suggests: RGtk2, gWidgetsRGtk2, cairoDevice
Description: This package focuses on asymmetric price transmission (APT) between two time series. It contains functions for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model. A graphical user interface is also included for major functions included in the package, so users can also use these functions in a more intuitive way.
License: GPL
LazyLoad: yes
Packaged: 2014-11-27 15:35:32 UTC; csun
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-11-27 18:30:08

## apt 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.2.4+devuan1")
+set(PACKAGE_VERSION "2.3.4")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.3.4) experimental; urgency=medium

  [ Khem Raj ]
  * srvrec: Keep support for older resolver

  [ Julian Andres Klode ]
  * Turn TLS handshake issues into transient errors (LP: #1928100)

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 May 2021 18:04:33 +0200

apt (2.3.3) experimental; urgency=medium

  [ David Kalnischkies ]
  * Allow superfluous commas in build-dependency lines
  * Mark only provides from protected versioned kernel packages
  * Count uninstallable packages in "not upgraded" (Closes: #981535)
  * Reexplore providers of marked packages if some didn't satisfy before
  * Call MarkAndSweep only manually in apt-get for autoremove
  * Store versioned kernel package detectors in d-pointer

  [ Brian Murray ]
  * Fix a typo in json-hooks-protocol.md

  [ Julian Andres Klode ]
  * Temporarily Revert "2.3-only: Warn that the 0.1 protocol is deprecated"

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Apr 2021 10:43:19 +0200

apt (2.3.2) experimental; urgency=medium

  * Remove inversed comment for AllowUnsizedPackages
  * Automatically retry failed downloads 3 times.
    Enable the Acquire::Retries option by default, set to 3.
    This will help with slightly unreliable networking; future
    work is needed for adding backoff and SRV/IP rotation. (LP: #1876035)
  * Require dpkg >= 1.20.8 and make more use of --auto-deconfigure now that
    no longer needs forcing for essential/protected:
    - Support deconfiguring Essential packages
    - Do not pass --force-remove-protected with --auto-deconfigure
  * JSON hook bug fixes:
    - json: Escape strings using \u escape sequences, add test
    - json: Actually pop states
    - json: Encode NULL strings as null
    - json: Flush standard file descriptors before calling hooks
    - test/json: Make the test hook more reliable
  * JSON hooks 0.2:
    - json: Add origins fields to version
    - upgrade: Add JSON hook support (AptCli::Hooks::Upgrade)
    - json: Add `package-list` and `statistics` install hooks
    - json: Hook protocol 0.2 (added upgrade,downgrade,reinstall modes)
    - 2.3-only: Warn that the 0.1 protocol is deprecated
  * Avoid infinite loop on EOF on media change prompt

 -- Julian Andres Klode <jak@debian.org>  Fri, 23 Apr 2021 18:23:15 +0200

apt (2.3.1) experimental; urgency=medium

  [ David Kalnischkies ]
  * Replace macro and manual management with lambda and RAII:
    - Replace multi-statement macro with lambda
    - Use RAII to clean up tmp dir for dpkg recursive install
    - Handle multi-arch pkgnames for dpkg call via RAII
    - Merge the three RAII vectors managing args lifetime
  * Harden test for no new acquires after transaction abort (Closes: #984966)

  [ Julian Andres Klode ]
  * Check for and discard expected warning from MaybeAddAuth
  * Fix downloads of unsized files that are largest in pipeline (LP: #1921626)
  * Error on packages without a Size field (option Acquire::AllowUnsizedPackages)
  * debian/gbp.conf: HEAD branch is main now

  [ Cameron Katri ]
  * add vendor information for Procursus

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Apr 2021 17:23:49 +0200

apt (2.3.0) experimental; urgency=medium

  [ David Kalnischkies ]
  * Deal with rred shortcomings around empty patch files (LP: #1918112)
    - Allow merging with empty pdiff patches
    - Rename pdiff merge patches only after they are all downloaded
    - Start pdiff patching from the last possible starting point
    - Ensure all index files sent custom tags to the methods

 -- Julian Andres Klode <jak@debian.org>  Mon, 08 Mar 2021 11:50:31 +0100

=== debian/tests/control ===
Tests: run-tests, pkg-config-test
Restrictions: allow-stderr
Depends: @, @builddeps@, dpkg (>= 1.20.8), fakeroot, wget, stunnel4, lsof, db-util,
         gnupg (>= 2) | gnupg2,
         gnupg1 | gnupg (<< 2),
         gpgv (>= 2) | gpgv2,
         gpgv1 | gpgv (<< 2),
         libfile-fcntllock-perl, python3-apt, aptitude,
         pkg-config,
         valgrind

## apt 2.3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,7 @@
 link_libraries(${LFS_LIBRARIES})
 
 # Set compiler flags
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.3.4")
+set(PACKAGE_VERSION "2.3.9")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.3.9) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #992352)

  [ David Kalnischkies ]
  * Fix infinite recursions in MarkPackage and improve recursions in general
    - Inhibit autoremove calculation in apt-mark and apt show
    - Don't venture too deeply in AutoRemovers MarkPackage
    - Stop autoremover from endlessly exploring cyclic providers (Closes: #992993)
    - Increase recursion limits from 100 to 3000

  [ Julian Andres Klode ]
  * Improve error handling of cycling delayed queues

 -- Julian Andres Klode <jak@debian.org>  Tue, 07 Sep 2021 17:25:44 +0200

apt (2.3.8) unstable; urgency=medium

  * Upload to unstable
  * Bump to C++17

 -- Julian Andres Klode <jak@debian.org>  Sat, 14 Aug 2021 23:51:55 +0200

apt (2.3.7) experimental; urgency=medium

  [ David Kalnischkies ]
  * Use full item description in broken repo error
  * Store size from volatile sources for already installed versions
  * Restore dpkg::chroot-directory functionality

  [ Dillon Brock ]
  * apt.conf(5): indicate # is also used for comments (LP: #1309658)

  [ Julian Andres Klode ]
  * Check sources.list could be parsed before adding volatile files
    (Closes: #990518)
  * pkgAcqIndex::CommonFailed: Set StatIdle before calling Init()
  * Implement exponential backoff between retries
    - acquire: Automatically reduce select() timeout as needed
    - Properly convert PulseInterval to timeval
    - Add support for a maximum delay and testing of delay
    - tests (retry-downloads): Avoid delay in second test

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Jul 2021 16:59:39 +0200

apt (2.3.6) experimental; urgency=medium

  [ David Kalnischkies ]
  * URI encode Filename field of Packages files (again)
  * Do not use filename of local sources in 'apt download'
  * No URL decode and quoting support for Files in Sources

 -- Julian Andres Klode <jak@debian.org>  Wed, 09 Jun 2021 13:41:20 +0200

apt (2.3.5) experimental; urgency=medium

  * policy: Apply phasing to uninstalled packages too (LP: #1925745)

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 May 2021 11:43:23 +0200

## apt 2.3.9ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,7 +200,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.3.9")
+set(PACKAGE_VERSION "2.3.9ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.3.9ubuntu0.1) impish; urgency=medium

  * Only protect two kernels, not last installed one (LP: #1968154)
  * Point to impish in gitlab-ci and gbp.conf

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Apr 2022 16:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
@@ -11,7 +12,7 @@
                debhelper-compat (= 12),
                docbook-xml,
                docbook-xsl,
-               dpkg-dev (>= 1.17.14),
+               dpkg-dev (>= 1.20.8),
                gettext (>= 0.12),
                googletest <!nocheck> | libgtest-dev <!nocheck>,
                libbz2-dev,
@@ -21,6 +22,7 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libxxhash-dev (>= 0.8),
                libzstd-dev (>= 1.0),
@@ -74,7 +76,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~)
+Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Section: libs
 Provides: libapt-pkg (= ${binary:Version})
